
Redmine - Patch #18496

Migrate to Redmine 2.5.3 (or 2.6.0) from Mantis 1.2.17

2014-11-28 15:03 - Gergely Révész

Status: Resolved Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Description

Migrate to Redmine 2.5.3 (or 2.6.0) from Mantis 1.2.17.

The original migrate script quits with errors when migrating from Mantis 1.2.17.

I'm attaching the patch to get it to work.

And the working full "migrate_from_mantis.rake" file if anyone finds it difficult to apply a patch.

You have to patch or replace the "%redmine%/lib/tasks/migrate_from_mantis.rake" file.

History

#1 - 2014-11-28 15:20 - Gergely Révész

The changes in detail:

1. In the mantis 1.2.17 database, the category table is called "mantis_category_table".

-      self.table_name = :mantis_project_category_table

+      self.table_name = :mantis_category_table

2. The Mantis note timestamp is an integer, it have to be converted with "Time.at().to_datetime".

-                          :created_on => note.date_submitted

+                          :created_on => Time.at(note.date_submitted).to_datetime

3. The Mantis file attachment timestamp is an integer, it have to be converted with "Time.at().to_datetime".

-          a = Attachment.new :created_on => file.date_added

+          a = Attachment.new :created_on => Time.at(file.date_added).to_datetime

4. The Redmine category column in the issues table is called "category_id".

-        i.category = IssueCategory.find_by_project_id_and_name(i.project_id, bug.category[0,30]) unless bug.category.blank?

+        i.category = IssueCategory.find_by_project_id_and_name(i.project_id, bug.category_id

0

) unless bug.category_id.blank?

5. The Mantis bug create and update timestamp is an integer, it have to be converted with "Time.at().to_datetime". This doesn't work even with the

converted dates, because Redmine doesn't let you set the created_on and updated_on values when creating a new issue. It will be the current date.

-                      :created_on => bug.date_submitted,

-                      :updated_on => bug.last_updated

+                      :created_on => Time.at(bug.date_submitted).to_datetime,

+                      :updated_on => Time.at(bug.last_updated).to_datetime

#2 - 2014-11-28 15:20 - Gergely Révész

- Status changed from New to Resolved

#3 - 2014-11-28 20:33 - Andre Luiz

- File total_5_6_7.jpg added

#4 - 2014-11-28 23:12 - Jean-Philippe Lang

- File deleted (total_5_6_7.jpg)

#5 - 2014-12-28 04:46 - Toshi MARUYAMA

- Category changed from Administration to Importers

Files

migrate_mantis_1.2.17_to_redmine_2.5.3.patch 2.4 KB 2014-11-28 Gergely Révész

migrate_from_mantis.rake 18.5 KB 2014-11-28 Gergely Révész
